# Loren Williams, Georgia Tech
# pymol script for looking at a CG Base Pair

#-----------------------------------------------------------------------------
## Header: General Commands ##

# delete all objects and reset pymol
reinitialize
# set the background color to white
bg_color white
# make the background transparent for ray trace 
set ray_opaque_background, 0
# set the ray trace mode
# normal color
set ray_trace_mode, 0
# normal color + black outline
#set ray_trace_mode,  1
# black outline only
#set ray_trace_mode,  2
# turn off shadows during ray trace
set ray_shadows, 0
# set the mouse mode for laptop.
config_mouse one_button
# run the python program for hydrogen bonding interactions.
# get ride of double bonds and skinny bonds to H
set stick_h_scale, 1
set valence, 0

## End of Header: General Commands ##
#----------------------------------------

load files/cg.pdb, CG

h_add not name C1*
alter (name H01), name='H'
alter (name H02), name='H'
alter (name H03), name='H'
alter (name H04), name='H'
alter (name H05), name='H'

show sphere, CG
alter CG, vdw=0.35 
rebuild

show stick, CG
color wheat, (name C2)
color wheat, (name C3)
color wheat, (name C3)
color wheat, (name C4)
color wheat, (name C5)
color wheat, (name C6)
color wheat, (name C8)
color wheat, (name C1*)
color wheat, (name C2*)
color wheat, (name C3*)
color wheat, (name C4*)
color wheat, (name C5*)
color red, (name O*)
color blue, (name N*)
color gray90, (name H*)

set sphere_quality, 10
set stick_quality, 20
set nb_sphere_quality, 20

distance WC_hbond, (name O6+N3+O2), (name H), 2.4

set dash_color, black, WC_hbond
set label_position, [0,  1.2,  1.75], WC_hbond
set dash_gap, 0.4, WC_hbond
set dash_width, 6, WC_hbond
set dash_length, 0.02, WC_hbond
set label_size, 10, WC_hbond

distance ON_or_NN_dist, (name O6 and resn G), (name N4 and resn C), 3.2
distance ON_or_NN_dist, (name N1 and resn G), (name N3 and resn C), 3.2
distance ON_or_NN_dist, (name N2 and resn G), (name O2 and resn C), 3.2

set dash_color, black, het_atom_dist
set label_position, [-1.2,  1.6,  1.75],  ON_or_NN_dist
set dash_gap, 4, ON_or_NN_dist
set dash_width, 0, ON_or_NN_dist
set dash_length, 0, ON_or_NN_dist
set label_size, 20, ON_or_NN_dist
set label_color, blue, ON_or_NN_dist

pseudoatom hetero
label hetero, "blue numbers are N to O or N to N distances"
set label_position, [-0.5,  5,  0],  hetero
set label_color, blue, hetero

disable hetero
disable ON_or_NN_dist


set_view (\
     0.567955554,   -0.717554688,   -0.403168052,\
    -0.821445942,   -0.524831772,   -0.223104924,\
    -0.051505413,    0.457893223,   -0.887513161,\
    -0.000005947,    0.000016911,  -29.882970810,\
    -2.120587111,   -1.010141730,  -11.224964142,\
    18.200708389,   41.564079285,  -20.000000000 )
### cut above here and paste into script ###
